org.apache.datasketches.pig.theta

## Class Union.Initial

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>
  - - org.apache.datasketches.pig.theta.Union.Initial

Enclosing class:
  Union

    public static class Union.Initial
    extends org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>

Class used to calculate the initial pass of an Algebraic sketch operation.

The Initial class simply passes through all records unchanged so that they can be processed by the intermediate processor instead.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`Initial()` Default constructor to make pig validation happy.
`Initial(String nomEntriesStr)` Constructor for the initial pass of an Algebraic function.
`Initial(String nomEntriesStr, String pStr)` Constructor for the initial pass of an Algebraic function.
`Initial(String nomEntriesStr, String pStr, String seedStr)` Constructor for the initial pass of an Algebraic function.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.pig.data.Tuple` `exec(org.apache.pig.data.Tuple inputTuple)`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Initial

    public Initial()

Default constructor to make pig validation happy.

#### Initial

    public Initial(String nomEntriesStr)

Constructor for the initial pass of an Algebraic function. Pig will call this and pass the same constructor arguments as the original UDF. In this case the arguments are ignored.

Parameters:
  `nomEntriesStr` - See Nominal Entries.

#### Initial

    public Initial(String nomEntriesStr,
                   String pStr)

Constructor for the initial pass of an Algebraic function. Pig will call this and pass the same constructor arguments as the original UDF. In this case the arguments are ignored.

Parameters:
  `nomEntriesStr` - See Nominal Entries.
  `pStr` - See Sampling Probability, p. Although this functionality is implemented for SketchUnions, it rarely makes sense to use it here. The proper use of upfront sampling is when building the sketches.

#### Initial

    public Initial(String nomEntriesStr,
                   String pStr,
                   String seedStr)

Constructor for the initial pass of an Algebraic function. Pig will call this and pass the same constructor arguments as the original UDF. In this case the arguments are ignored.

Parameters:
  `nomEntriesStr` - See Nominal Entries.
  `pStr` - See Sampling Probability, p. Although this functionality is implemented for SketchUnions, it rarely makes sense to use it here. The proper use of upfront sampling is when building the sketches.
  `seedStr` - See Update Hash Seed.

### Method Detail

#### exec

    public org.apache.pig.data.Tuple exec(org.apache.pig.data.Tuple inputTuple)
                                   throws IOException

Specified by:
  `exec` in class `org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>`
Throws:
  `IOException`